Debian Bug report logs - #164895
xlibs: Non-AA Xft renders fonts poorly

Package: libfreetype6; Maintainer for libfreetype6 is Steve Langasek <vorlon@debian.org>; Source for libfreetype6 is src:freetype.

Reported by: Jonathan Polley <jpolley@wam.umd.edu>

Date: Tue, 15 Oct 2002 20:48:02 UTC

Severity: normal

Done: ROBERTOJIMENOCA <ROBERTOJIMENOCA@terra.es>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#164895; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Jonathan <jonathan@neokiwi.fruit>:
New Bug report received and forwarded. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan <jonathan@neokiwi.fruit>
To: submit@bugs.debian.org
Subject: xlibs: Non-AA Xft renders fonts poorly
Date: Tue, 15 Oct 2002 16:42:06 -0400
Package: xlibs
Version: 4.2.1-2
Severity: normal

Recently, programs using Xft to render their fonts (gtk2 and qt) have started
having really bad looking fonts.  I am not sure when precisely this started, 
although I would guess that it was within the past week or two, perhaps when
xfree 4.2.1-1 or -2 was installed.

Both Xft and my X core fonts get Arial.ttf from
/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType.  However, when Xft renders
it, the fonts just look plain bad.  Example screenshots (both gtk2 and qt)
can be found at http://www.wam.umd.edu/~jpolley/xft/ .

Note that I have antialiasing turned off for small-sized non-italic non-bold
fonts.  When I turn it on, the errors are less visible, however, I feel they
are still present.


Jonathan
jpolley@wam.umd.edu

-- System Information
Debian Release: testing/unstable
Kernel Version: Linux neokiwi 2.4.18-xfs-1.1 #6 Sun Aug 25 14:31:15 EDT 2002 i686 AMD Athlon(tm) Processor AuthenticAMD GNU/Linux

Versions of the packages xlibs depends on:
ii  libc6          2.2.5-15       GNU C Library: Shared libraries and Timezone
ii  libfreetype6   2.1.2-8        FreeType 2 font engine, shared library files
ii  xfree86-common 4.2.1-2        X Window System (XFree86) infrastructure

--- Begin /etc/X11/XftConfig (modified conffile)
dir "/usr/X11R6/lib/X11/fonts/TrueType"
dir "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
match any family == "fixed"		edit family =+ "mono";
match any family == "serif" 		edit family += "Times New Roman";
match any family == "sans" 		edit family += "Arial";
includeif	"~/.xftconfig"
match any family == "charter"		edit family += "bitstream charter";
match any family == "bitstream charter" edit family =+ "charter";
match any family == "helvetica"         edit family += "arial";
match any family == "courier"           edit family += "courier new";
match any family == "times"             edit family += "times new roman";
match any size < 13 all slant != italic all weight != bold edit antialias = false;

--- End /etc/X11/XftConfig



Bug reassigned from package `xlibs' to `libfreetype6'. Request was from Anthony Fok <anthony@thizlinux.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to Jonathan <jonathan@neokiwi.fruit> Request was from Anthony Fok <anthony@thizlinux.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator set to Jonathan Polley <jpolley@wam.umd.edu>. Request was from Anthony Fok <anthony@thizlinux.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Fok <foka@debian.org>, freetype@packages.qa.debian.org:
Bug#164895; Package libfreetype6. Full text and rfc822 format available.

Acknowledgement sent to Kristof Korwisi <optonic@gmx.net>:
Extra info received and forwarded to list. Copy sent to Anthony Fok <foka@debian.org>, freetype@packages.qa.debian.org. Full text and rfc822 format available.

Message #16 received at 164895@bugs.debian.org (full text, mbox):

From: Kristof Korwisi <kk@manoli.im-dachgeschoss.de>
To: 164895@bugs.debian.org
Subject: not only blocky...
Date: Fri, 18 Oct 2002 02:10:24 +0200
It's not only blocky, it's colored.

As you can see:
http://manoli.im-dachgeschoss.de/~kk/temp/colored.png

Hand,
Kristof

P.S. Hopefully it's fitting the context ;-)

-- 
Kristof Korwisi <optonic@gmx.net>
http://manoli.im-dachgeschoss.de
GPG-Public-Key: http://manoli.im-dachgeschoss.de/~kk/gpg_optonic.asc



Reply sent to ROBERTOJIMENOCA <ROBERTOJIMENOCA@terra.es>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jonathan Polley <jpolley@wam.umd.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 164895-done@bugs.debian.org (full text, mbox):

From: ROBERTOJIMENOCA <ROBERTOJIMENOCA@terra.es>
To: 164895-done@bugs.debian.org
Subject: Re: xlibs: Non-AA Xft renders fonts poorly
Date: Mon, 28 Feb 2005 13:20:17 GMT
This should not be a problem anymore. Reopen otherwise.





Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:03:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.